Bug 190347 - find problem indicates filesystem issue, fsck does not repair problems
find problem indicates filesystem issue, fsck does not repair problems
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-01 10:23 EDT by Scot Harris
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:04:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Data collected from system with problem (4.91 KB, text/plain)
2006-05-01 10:23 EDT, Scot Harris
no flags Details

  None (edit)
Description Scot Harris 2006-05-01 10:23:46 EDT
Description of problem:

New clean install of FC5.  Find reported a problem 

[root@ws-ai ~]# find / -name "ipop*" -print
/usr/share/logwatch/scripts/services/ipop3d
/usr/share/logwatch/default.conf/services/ipop3d.conf
find: WARNING: Hard link count is wrong for /selinux: this may be a bug in your
filesystem driver.  Automatically turning on find's -noleaf option.  Earlier
results may have failed to include directories that should have been searched.

This appeared to a file system issue.  So an fsck was run against the file
system.  fsck reported block count and inodes count problems:

[root@ws-ai ~]# fsck -n -f -v
fsck 1.38 (30-Jun-2005)
e2fsck 1.38 (30-Jun-2005)
Warning!  /dev/VolGroup00/LogVol00 is mounted.
Warning: skipping journal recovery because doing a read-only filesystem check.
Pass 1: Checking inodes, blocks, and sizes
Pass 2: Checking directory structure
Pass 3: Checking directory connectivity
Pass 4: Checking reference counts
Pass 5: Checking group summary information
Free blocks count wrong (24775172, counted=24775130).
Fix? no

Free inodes count wrong (26281629, counted=26281429).
Fix? no


/dev/VolGroup00/LogVol00: ********** WARNING: Filesystem still has errors **********


  129379 inodes used (0%)
     529 non-contiguous inodes (0.4%)
         # of inodes with ind/dind/tind blocks: 7354/55/0
 1619452 blocks used (6%)
       0 bad blocks
       1 large file

  111241 regular files
    8766 directories
       1 character device file
       1 block device file
       1 fifo
    3735 links
    9532 symbolic links (9400 fast symbolic links)
      28 sockets
--------
  133305 files

Attempts to run fsck to fix these problems fail.  Reported problems persist
sometimes with different values.  

System has been reloaded several times.  Hard drive tests have been run and do
not show any problems with the harddrive which is a new 320GB sata drive.


Version-Release number of selected component (if applicable):

FC-5 on ws-ai
Intel Celeron 2.8ghz
WD3200JD-22KLB0 320gig SATA hard drive


[root@ws-ai ~]# uname -a
Linux ws-ai.ai.lan 2.6.15-1.2054_FC5 #1 Tue Mar 14 15:48:33 EST 2006 i686 i686
i386 GNU/Linux


How reproducible:

Very.

Steps to Reproduce:
1. Clean install of FC5
2. find command reports problems
3. fsck reports problems, repair pass does not fix problems
  
Actual results:

As described above.

Expected results:

find works correctly and fsck fixes problems found.

Additional info:
Comment 1 Scot Harris 2006-05-01 10:23:46 EDT
Created attachment 128443 [details]
Data collected from system with problem
Comment 2 Phil Knirsch 2006-05-12 08:05:12 EDT
This looks like a kernel bug though. The component filesystem is only about bugs
in that respective package which contains a raw directory structure for a
standard system.

Reassigning to proper component.

Read ya, Phil
Comment 3 Dave Jones 2006-10-16 20:35:34 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Dave Jones 2006-11-24 18:04:14 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.